
VIRTUAL CREDIT CARD - Bug #16672

Android [Transaction History][Credit Card Pending Transaction] Handle the credit card pending

transaction

09 June 2023 10:28 AM - hsulynn pang

Status: Closed Start date: 09 June 2023

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Non-treats:

-call the same existing service getCardHistory (for both

old app and new app) to BE

-display pending transaction in FE if got pending transaction data  returned by BE

Treats:

(1)old app- /treats/getCustomerTransactionHistory call to old BE

(leave it as existing NO CHANGE, no pending transaction will be returned by BE because it's old BE response)

(2)new app- /treats/getCustomerTransactionHistoryV2 call to new BE

-display pending transaction in new app if got pending transaction data returned by BE

History

#1 - 09 June 2023 10:31 AM - hsulynn pang

- Subject changed from Android [Transaction History][Credit Card Pending Transaction]  to Android [Transaction History][Credit Card Pending

Transaction] Handle the credit card pending transaction

#2 - 09 June 2023 11:14 AM - Septi Gizka Tiara

- Status changed from New to In Progress

#3 - 12 June 2023 01:53 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

#4 - 12 June 2023 06:48 PM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#5 - 13 June 2023 10:45 AM - hsulynn pang

- File SIT Document_Pending transaction v1.0.xlsx added

- Status changed from Resolved to Pending Close

tested

#6 - 17 July 2023 09:38 AM - hsulynn pang

- File uat progress pending.PNG added

- Status changed from Pending Close to Closed

tested by user

Files

screen.PNG 32.4 KB 09 June 2023 hsulynn pang
SIT Document_Pending transaction v1.0.xlsx 1.69 MB 13 June 2023 hsulynn pang

uat progress pending.PNG 36.2 KB 17 July 2023 hsulynn pang
